## net.sf.saxon.expr
Class ParentNodeExpression

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.SingleNodeExpression
              net.sf.saxon.expr.ParentNodeExpression

All Implemented Interfaces:
  Serializable, SourceLocator, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class ParentNodeExpression

extends SingleNodeExpression

Class ParentNodeExpression represents the XPath expression ".." or "parent::node()"

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`ParentNodeExpression()`

Method Summary
`void` `display(int level, PrintStream out, Configuration config)` Diagnostic print of expression structure
`boolean` `equals(Object other)` Is this expression the same as another expression?
`NodeInfo` `getNode(XPathContext context)` Return the node selected by this SingleNodeExpression
`int` `hashCode()` get HashCode for comparing two expressions

Methods inherited from class net.sf.saxon.expr.SingleNodeExpression
`computeCardinality, computeSpecialProperties, effectiveBooleanValue, evaluateItem, getIntrinsicDependencies, getItemType, iterate, optimize, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression

`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, evaluateAsString, getCardinality, getColumnNumber, getContainingProcedure, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterateSubExpressions, markTailFunctionCalls, process, promote, replaceSubExpression, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, simplify, suppressValidation`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParentNodeExpression

    public ParentNodeExpression()

Method Detail

### getNode

    public NodeInfo getNode(XPathContext context)
                     throws XPathException

  Return the node selected by this SingleNodeExpression

  Specified by:
    `getNode` in class `SingleNodeExpression`
  Parameters:
    `context` - The context for the evaluation
  Returns:
    the parent of the current node defined by the context
  Throws:
    `XPathException`

### equals

    public boolean equals(Object other)

  Is this expression the same as another expression?

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  get HashCode for comparing two expressions

  Overrides:
    `hashCode` in class `Object`

### display

    public void display(int level,
                        PrintStream out,
                        Configuration config)

  Diagnostic print of expression structure

  Specified by:
    `display` in class `Expression`
  Parameters:
    `level` - indentation level for this expression
    `out` - Output destination

Copyright (C) Michael H. Kay. All rights reserved.